Package net.commoble.jumbofurnace.client.jei

# Class JumboSmeltingCategory

java.lang.Object
net.commoble.jumbofurnace.client.jei.JumboSmeltingCategory

All Implemented Interfaces:
  `mezz.jei.api.recipe.category.IRecipeCategory<JumboFurnaceRecipe>`

public class JumboSmeltingCategory extends Object implements mezz.jei.api.recipe.category.IRecipeCategory<JumboFurnaceRecipe>

## Field Summary

Fields
Modifier and Type
Field
Description
`static final mezz.jei.api.recipe.RecipeType<JumboFurnaceRecipe>`
`TYPE`

## Constructor Summary

Constructors
Constructor
Description
`JumboSmeltingCategory(mezz.jei.api.helpers.IGuiHelper helper)`

## Method Summary

Modifier and Type
Method
Description
`void`
`draw(JumboFurnaceRecipe recipe, mezz.jei.api.gui.ingredient.IRecipeSlotsView slots, net.minecraft.client.gui.GuiGraphics graphics, double mouseX, double mouseY)`
`mezz.jei.api.gui.drawable.IDrawable`
`getBackground()`
`mezz.jei.api.gui.drawable.IDrawable`
`getIcon()`
`mezz.jei.api.recipe.RecipeType<JumboFurnaceRecipe>`
`getRecipeType()`
`net.minecraft.network.chat.Component`
`getTitle()`
`int`
`getWidth()`
`void`
`setRecipe(mezz.jei.api.gui.builder.IRecipeLayoutBuilder recipeLayout, JumboFurnaceRecipe recipe, mezz.jei.api.recipe.IFocusGroup focuses)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface mezz.jei.api.recipe.category.IRecipeCategory

`createRecipeExtras, getCodec, getHeight, getRegistryName, getTooltip, getTooltipStrings, handleInput, isHandled, needsRecipeBorder, onDisplayedIngredientsUpdate`

## Field Details

### TYPE

public static final mezz.jei.api.recipe.RecipeType<JumboFurnaceRecipe> TYPE

## Constructor Details

### JumboSmeltingCategory

public JumboSmeltingCategory(mezz.jei.api.helpers.IGuiHelper helper)

## Method Details

### getWidth

public int getWidth()

Specified by:
  `getWidth` in interface `mezz.jei.api.recipe.category.IRecipeCategory<JumboFurnaceRecipe>`

### getRecipeType

public mezz.jei.api.recipe.RecipeType<JumboFurnaceRecipe> getRecipeType()

Specified by:
  `getRecipeType` in interface `mezz.jei.api.recipe.category.IRecipeCategory<JumboFurnaceRecipe>`

### getTitle

public net.minecraft.network.chat.Component getTitle()

Specified by:
  `getTitle` in interface `mezz.jei.api.recipe.category.IRecipeCategory<JumboFurnaceRecipe>`

### getBackground

public mezz.jei.api.gui.drawable.IDrawable getBackground()

Specified by:
  `getBackground` in interface `mezz.jei.api.recipe.category.IRecipeCategory<JumboFurnaceRecipe>`

### getIcon

public mezz.jei.api.gui.drawable.IDrawable getIcon()

Specified by:
  `getIcon` in interface `mezz.jei.api.recipe.category.IRecipeCategory<JumboFurnaceRecipe>`

### draw

public void draw(JumboFurnaceRecipe recipe, mezz.jei.api.gui.ingredient.IRecipeSlotsView slots, net.minecraft.client.gui.GuiGraphics graphics, double mouseX, double mouseY)

Specified by:
  `draw` in interface `mezz.jei.api.recipe.category.IRecipeCategory<JumboFurnaceRecipe>`

### setRecipe

public void setRecipe(mezz.jei.api.gui.builder.IRecipeLayoutBuilder recipeLayout, JumboFurnaceRecipe recipe, mezz.jei.api.recipe.IFocusGroup focuses)

Specified by:
  `setRecipe` in interface `mezz.jei.api.recipe.category.IRecipeCategory<JumboFurnaceRecipe>`